package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * SwitchPortsStatus
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class SwitchPortsStatus   {
  @JsonProperty("portList")
  @Valid
  private List<Integer> portList = new ArrayList<>();

  @JsonProperty("status")
  private Integer status;

  public SwitchPortsStatus portList(List<Integer> portList) {
    this.portList = portList;
    return this;
  }

  public SwitchPortsStatus addPortListItem(Integer portListItem) {
    this.portList.add(portListItem);
    return this;
  }

  /**
   * Port list
   * @return portList
  */
  @ApiModelProperty(required = true, value = "Port list")
  @NotNull

@Size(min=1,max=2147483647) 
  public List<Integer> getPortList() {
    return portList;
  }

  public void setPortList(List<Integer> portList) {
    this.portList = portList;
  }

  public SwitchPortsStatus status(Integer status) {
    this.status = status;
    return this;
  }

  /**
   * Status should be a value as follows: 0: off; 1: on
   * @return status
  */
  @ApiModelProperty(required = true, value = "Status should be a value as follows: 0: off; 1: on")
  @NotNull


  public Integer getStatus() {
    return status;
  }

  public void setStatus(Integer status) {
    this.status = status;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SwitchPortsStatus switchPortsStatus = (SwitchPortsStatus) o;
    return Objects.equals(this.portList, switchPortsStatus.portList) &&
        Objects.equals(this.status, switchPortsStatus.status);
  }

  @Override
  public int hashCode() {
    return Objects.hash(portList, status);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SwitchPortsStatus {\n");
    
    sb.append("    portList: ").append(toIndentedString(portList)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

